.details-style{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 20px;
}

.details-style .leftColumn{
    align-items: start;
}

.details-style .rightColumn{
    align-items: end;
}

.details-style details{
    margin: 15px 20px 0px 30px;
}

.details-style summary{
    grid-column: 1 / -1;
    border: 2px solid #bab8b8;
    border-left: 0;
    border-right: 0;
    padding: 15px 15px;
    background-color: #f5f5f5;
    cursor: pointer;
    transition: background-color 0.3s ease;
    text-align: justify;
    margin-bottom: 5px;
    color: #0065d1;
    font-weight: bold;
}

.details-style summary:hover{
    background-color: #e4e4e4cc;
}

.details-style summary:active{
    background-color: #f5f5f5;
}

.details-style .internalSummary{
    background-color: #f1f0f0;
    padding: 1px;
    margin: 15px;
}

.internalSummary p{
    margin: 15px;
    text-align: justify;
}

.details-style li{
    margin-bottom: 8px;
}

.WhatsApp-btn{
    display: inline-flex;
    padding: 10px 15px;
    background-color: #f1f0f0;
    border: 1px solid #25d366;
    color: #25d366;
    white-space: nowrap;
    gap: 8px;
    margin-left: 15px;
    margin-bottom: 8px;
    border-radius: 8px;
    text-decoration: none;
    transition: all 0.2s;
}

.WhatsApp-btn span{
    font-weight: bold;
}

.WhatsApp-btn:hover{
    background-color: #25d366;
    color: #f5f5f5;
    transform: translateY(-5px);
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
}

.internalSummary img{
    width: 20px;
}

.WhatsApp-logo-verde{
    display: block;
}

.WhatsApp-logo-blanco{
    display: none;
}

.WhatsApp-btn:hover .WhatsApp-logo-verde{
    display: none;
}

.WhatsApp-btn:hover .WhatsApp-logo-blanco{
    display: block;
}

/* Version Mobile */

@media (max-width: 768px){
    .details-style{
        display: flex;
        flex-direction: column;
    }

    .details-style details{
        margin: 10px 20px 0 20px;
    }

    .details-style summary{
        padding: 15px;
    }

}
